%define tp_glib_ver 0.17.5
%global mc_plugindir %{_libdir}/mission-control-plugins.0

Name:           telepathy-mission-control
Version:        5.16.5
Release:    1%{?dist}
Summary:        Central control for Telepathy connection manager

License:        LGPLv2
URL:            https://telepathy.freedesktop.org/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz

Patch0:         fix-property-name.patch

BuildRequires:  make
BuildRequires:  chrpath
BuildRequires:  glib2-devel
BuildRequires:  gtk-doc
BuildRequires:  libxslt-devel
BuildRequires:  NetworkManager-libnm-devel
BuildRequires:  pkgconfig
BuildRequires:  telepathy-glib-devel >= %{tp_glib_ver}

%description
Mission Control, or MC, is a Telepathy component providing a way for
"end-user" applications to abstract some of the details of connection
managers, to provide a simple way to manipulate a bunch of connection
managers at once, and to remove the need to have in each program the
account definitions and credentials.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
%description    devel
The %{name}-devel package contains libraries and header
files for developing applications that use %{name}.


%prep
%autosetup -p1


%build
%configure \
  --disable-static \
  --enable-gtk-doc \
  --with-connectivity=nm

sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

%{make_build}


%install
%{make_install}

mkdir -p %{buildroot}%{mc_plugindir}

chrpath --list   %{buildroot}%{_libexecdir}/mission-control-5 && \
chrpath --delete %{buildroot}%{_libexecdir}/mission-control-5
find %{buildroot} -type f -name "*.la" -delete


%check
%if %{undefined flatpak}
PKG_CONFIG_PATH=%{buildroot}%{_libdir}/pkgconfig
test "%{?mc_plugindir}" = "$(pkg-config --variable=plugindir mission-control-plugins 2>/dev/null)"
%endif
make check ||:


%files
%license COPYING
%doc AUTHORS NEWS
%{_bindir}/mc-tool
%{_bindir}/mc-wait-for-name
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.AccountManager.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.MissionControl5.service
%{_datadir}/glib-2.0/schemas/im.telepathy.MissionControl.FromEmpathy.gschema.xml
%{_libdir}/libmission-control-plugins.so.0*
%dir %{mc_plugindir}
%{_libexecdir}/mission-control-5
%{_mandir}/man1/mc-tool.1*
%{_mandir}/man1/mc-wait-for-name.1*

%files devel
%doc %{_datadir}/gtk-doc/html/mission-control-plugins
%{_includedir}/mission-control-5.5/
%{_libdir}/pkgconfig/mission-control-plugins.pc
%{_libdir}/libmission-control-plugins.so
%{_mandir}/man8/mission-control-5.8*


%changelog
* Tue Sep 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.16.5-1
- initial build
